Subject: Re: Tags, Grafts, and Clones, oh my!

From: Ramkumar Ramachandra <[email-masked]>
Date: Fri, 20 Aug 2010 11:45:04 +0530

Hi Stephen,

Stephen Bash writes:
> Unfortunately I'm running into a problem with cloning the resulting repository.  Any git tags that are not associated with a live branch are declared invalid:
> 
>    error: refs/tags/tagFoo does not point to a valid object!
> 
> I've now reproduced this issue in micro (much easier to work with than the 20k commits in the real repo), and it does go away if I git checkout -b branchFoo tagFoo before cloning the repository.  I've examined the source repository, and the tag appears valid to me, as does the commit it points to.  The first error I see is during the clone.
> 
> Does this situation make sense to anyone?  If it's a potential bug (rather than user error), I can submit my testcase.  I'm currently working with git 1.7.2.1 on MacOS 10.6.4.

It seems too vague to me. Can you submit your testcase? Perhaps we can
work from there?

-- Ram